PLSTYL(3)

NAME
plstyl - Set line style

SYNOPSIS
plstyl(nms, mark, space)

DESCRIPTION

This sets up the line style for all lines subsequently drawn. A line consists of segments in which the pen is alternately down and up. The lengths of these segments are passed in the vectors mark and space respectively. The number of mark-space pairs is specified by nms. In order to return the line style to the default continuous line, plstyl(3) should be called with nms =0 .(see also pllsty(3))

Redacted form: plstyl(mark, space)

This function is used in examples 1, 9, and 14.

ARGUMENTS

nms (PLINT(3), input)
    The number of mark and space elements in a line. Thus a simple broken line can be obtained by setting nms=1 . A continuous line is specified by setting nms=0 .

mark (PLINT_VECTOR(3), input)
    A vector containing the lengths of the segments during which the pen is down, measured in micrometers.

space (PLINT_VECTOR(3), input)
    A vector containing the lengths of the segments during which the pen is up, measured in micrometers.

AUTHORS
Many developers (who are credited at http://plplot.org/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.org/documentation.php.